%global __python %{__python3}
%global tag     1.3.275.0
%global gittag  %(cut -b -7 <<< %{tag})

Name:           vulkan-validation-layers
Version:        %{tag}
Release:        1%{?dist}
Summary:        Vulkan validation layers

License:        ASL 2.0
URL:            https://github.com/KhronosGroup/Vulkan-ValidationLayers
Source0:        %url/archive/v%{gittag}.tar.gz#/Vulkan-ValidationLayers-%{gittag}.tar.gz

Requires:       vulkan-utility-libraries-devel

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  cmake3
BuildRequires:  ninja-build
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  pkgconfig(wayland-client)
BuildRequires:  pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-server)
BuildRequires:  pkgconfig(wayland-egl)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xcb)


%description
Vulkan validation layers

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       vulkan-headers
# The devel files are now provided by vulkan-utility-libraries-devel
# Deprecate vulkan-validation-layers-devel
Provides:       deprecated()

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1 -n Vulkan-ValidationLayers-%{gittag}

%build
# Decrease debuginfo verbosity to reduce memory consumption even more
%global optflags %(echo %{optflags} | sed 's/-g /-g1 /')
%global optflags %(echo %{optflags} | sed 's/-O2 /-O1 /')

export CFLAGS="%{build_cflags} -Wno-error=maybe-uninitialized"
export CXXFLAGS="%{build_cxxflags} -Wno-error=maybe-uninitialized"

%cmake3 -GNinja -DCMAKE_BUILD_TYPE=Release -DUPDATE_DEPS:BOOL=ON -DUSE_ROBIN_HOOD_HASHING:BOOL=OFF
%cmake3_build

%install
%cmake3_install
%ldconfig_scriptlets


%files
%license LICENSE.txt
%doc README.md CONTRIBUTING.md
%{_datadir}/vulkan/explicit_layer.d/*.json
%{_libdir}/libVkLayer_*.*

%files devel
# The devel files are now provided by vulkan-utility-libraries-devel
# Keep empty for backwards compatibility


%changelog
* Sun Jan 14 2024 Bluestang <bluestang2006@gmail.com> - 1.3.275.0-1
- Update to 1.3.275 upstream

* Sun Aug 13 2023 Bluestang <bluestang2006@gmail.com> - 1.3.261.0-1
- Update to 1.3.261 upstream

* Thu Aug 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.260.0-1
- Update to 1.3.260 upstream

* Wed May 31 2023 Bluestang <bluestang2006@gmail.com> - 1.3.251.0-1
- Update to 1.3.251 upstream

* Sat May 06 2023 Bluestang <bluestang2006@gmail.com> - 1.3.250.0-1
- Update to 1.3.250 upstream

* Mon Apr 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.246.0-1
- Update to 1.3.246 upstream

* Fri Mar 24 2023 Bluestang <bluestang2006@gmail.com> - 1.3.245.0-1
- Update to 1.3.245 upstream

* Fri Mar 03 2023 Bluestang <bluestang2006@gmail.com> - 1.3.242.0-1
- Update to 1.3.242 upstream

* Fri Jan 27 2023 Bluestang <bluestang2006@gmail.com> - 1.3.240.0-1
- Update to 1.3.240 upstream

* Mon Dec 19 2022 Bluestang <bluestang2006@gmail.com> - 1.3.238.0-1
- Update to 1.3.238 upstream

* Fri Nov 18 2022 Bluestang <bluestang2006@gmail.com> - 1.3.235.0-1
- Update to 1.3.235 upstream

* Sun Nov 13 2022 Bluestang <bluestang2006@gmail.com> - 1.3.234.0-1
- Update to 1.3.234 upstream

* Sat Nov 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.233.0-1
- Update to 1.3.233 upstream

* Thu Sep 29 2022 Bluestang <bluestang2006@gmail.com> - 1.3.230.0-1
- Update to 1.3.230 upstream

* Thu Sep 15 2022 Bluestang <bluestang2006@gmail.com> - 1.3.228.0-1
- Update to 1.3.228 upstream

* Mon Sep 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.226.0-1
- Update to 1.3.226 upstream

* Sun Aug 28 2022 Bluestang <bluestang2006@gmail.com> - 1.3.225.0-1
- Update to 1.3.225 upstream

* Sat Aug 06 2022 Bluestang <bluestang2006@gmail.com> - 1.3.224.0-1
- Update to 1.3.224 upstream

* Mon Jul 18 2022 Bluestang <bluestang2006@gmail.com> - 1.3.221.0-1
- Update to 1.3.221 upstream

* Fri Jul 01 2022 Bluestang <bluestang2006@gmail.com> - 1.3.219.0-1
- Update to 1.3.219 upstream

* Fri Jun 17 2022 Bluestang <bluestang2006@gmail.com> - 1.3.218.0-1
- Update to 1.3.218 upstream

* Sun Jun 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.216.0-1
- Update to 1.3.216 upstream

* Mon May 30 2022 Bluestang <bluestang2006@gmail.com> - 1.3.215.0-1
- Update to 1.3.215 upstream

* Tue May 17 2022 Bluestang <bluestang2006@gmail.com> - 1.3.214.0-1
- Update to 1.3.214 upstream

* Tue Apr 05 2022 Bluestang <bluestang2006@gmail.com> - 1.3.211.0-1
- Update to 1.3.211 upstream

* Sat Apr 02 2022 Bluestang <bluestang2006@gmail.com> - 1.3.210.0-1
- Update to 1.3.210 upstream

* Sat Mar 19 2022 Bluestang <bluestang2006@gmail.com> - 1.3.208.0-1
- Update to 1.3.208 upstream
- Fix .patch files applied

* Sat Feb 19 2022 Bluestang <bluestang2006@gmail.com> - 1.3.206.0-1
- Update to 1.3.206 upstream

* Sat Feb 12 2022 Bluestang <bluestang2006@gmail.com> - 1.3.205.0-1
- Update to 1.3.205 upstream

* Wed Jan 26 2022 Bluestang <bluestang2006@gmail.com> - 1.3.204-1
- Update to 1.3.204 upstream

* Thu Dec 23 2021 Bluestang <bluestang2006@gmail.com> - 1.2.202-1
- Update to 1.2.202 upstream
